org.apache.ignite.cache

## Class CacheManager

- java.lang.Object
- - org.apache.ignite.cache.CacheManager

- All Implemented Interfaces:
    Closeable, AutoCloseable, javax.cache.CacheManager

      public class CacheManager
      extends Object
      implements javax.cache.CacheManager

  Implementation of JSR-107 `CacheManager`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DFLT_JCACHE_DEFAULT_ISOLATED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheManager(URI uri, CachingProvider cachingProvider, ClassLoader clsLdr, Properties props)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `<K,V,C extends javax.cache.configuration.Configuration<K,V>> javax.cache.Cache<K,V>` | `createCache(String cacheName, C cacheCfg)`
    `void` | `destroyCache(String cacheName)`
    `void` | `enableManagement(String cacheName, boolean enabled)`
    `void` | `enableStatistics(String cacheName, boolean enabled)`
    `<K,V> javax.cache.Cache<K,V>` | `getCache(String cacheName)`
    `<K,V> javax.cache.Cache<K,V>` | `getCache(String cacheName, Class<K> keyType, Class<V> valType)`
    `Iterable<String>` | `getCacheNames()`
    `CachingProvider` | `getCachingProvider()`
    `ClassLoader` | `getClassLoader()`
    `Properties` | `getProperties()`
    `URI` | `getURI()`
    `boolean` | `isClosed()`
    `<T> T` | `unwrap(Class<T> clazz)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DFLT_JCACHE_DEFAULT_ISOLATED

          public static final boolean DFLT_JCACHE_DEFAULT_ISOLATED

      See Also:
        `IgniteSystemProperties.IGNITE_JCACHE_DEFAULT_ISOLATED`, Constant Field Values

  - ### Constructor Detail

    - #### CacheManager

          public CacheManager(URI uri,
                              CachingProvider cachingProvider,
                              ClassLoader clsLdr,
                              Properties props)

      Parameters:
        `uri` - Uri.
        `cachingProvider` - Caching provider.
        `clsLdr` - Class loader.
        `props` - Properties.

  - ### Method Detail

    - #### getCachingProvider

          public CachingProvider getCachingProvider()

      Specified by:
        `getCachingProvider` in interface `javax.cache.CacheManager`

    - #### getURI

          public URI getURI()

      Specified by:
        `getURI` in interface `javax.cache.CacheManager`

    - #### getClassLoader

          public ClassLoader getClassLoader()

      Specified by:
        `getClassLoader` in interface `javax.cache.CacheManager`

    - #### getProperties

          public Properties getProperties()

      Specified by:
        `getProperties` in interface `javax.cache.CacheManager`

    - #### createCache

          public <K,V,C extends javax.cache.configuration.Configuration<K,V>> javax.cache.Cache<K,V> createCache(String cacheName,
                                                                                                                 C cacheCfg)
                                                                                                          throws IllegalArgumentException

      Specified by:
        `createCache` in interface `javax.cache.CacheManager`
      Throws:
        `IllegalArgumentException`

    - #### getCache

          public <K,V> javax.cache.Cache<K,V> getCache(String cacheName,
                                                       Class<K> keyType,
                                                       Class<V> valType)

      Specified by:
        `getCache` in interface `javax.cache.CacheManager`

    - #### getCache

          public <K,V> javax.cache.Cache<K,V> getCache(String cacheName)

      Specified by:
        `getCache` in interface `javax.cache.CacheManager`

    - #### getCacheNames

          public Iterable<String> getCacheNames()

      Specified by:
        `getCacheNames` in interface `javax.cache.CacheManager`

    - #### destroyCache

          public void destroyCache(String cacheName)

      Specified by:
        `destroyCache` in interface `javax.cache.CacheManager`

    - #### enableManagement

          public void enableManagement(String cacheName,
                                       boolean enabled)

      Specified by:
        `enableManagement` in interface `javax.cache.CacheManager`

    - #### enableStatistics

          public void enableStatistics(String cacheName,
                                       boolean enabled)

      Specified by:
        `enableStatistics` in interface `javax.cache.CacheManager`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `javax.cache.CacheManager`

    - #### isClosed

          public boolean isClosed()

      Specified by:
        `isClosed` in interface `javax.cache.CacheManager`

    - #### unwrap

          public <T> T unwrap(Class<T> clazz)

      Specified by:
        `unwrap` in interface `javax.cache.CacheManager`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023